Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenAuditContext

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  GenAuditContextImpl

    public interface GenAuditContext

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Gen Audit Context'.

The following features are supported:

- `Root`
- `Id`
- `Class Name`
- `Rule Targets`

See Also:
  `GMFGenPackage.getGenAuditContext()`
** Generated **
Model:

Method Summary
`java.lang.String` `getClassName()` Returns the value of the 'Class Name' attribute
`java.lang.String` `getId()` Returns the value of the 'Id' attribute.
`java.lang.String` `getQualifiedClassName()`
`GenAuditRoot` `getRoot()` Returns the value of the 'Root' container reference.
`org.eclipse.emf.common.util.EList<GenAuditable>` `getRuleTargets()` Returns the value of the 'Rule Targets' reference list.
`void` `setClassName(java.lang.String value)` Sets the value of the '`Class Name`' attribute
`void` `setId(java.lang.String value)` Sets the value of the '`Id`' attribute
`void` `setRoot(GenAuditRoot value)` Sets the value of the '`Root`' container reference

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getRoot

    GenAuditRoot getRoot()

  Returns the value of the 'Root' container reference. It is bidirectional and its opposite is '`Client Contexts`'.

  If the meaning of the 'Root' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Root' container reference.
  See Also:
    `setRoot(GenAuditRoot)`, `GMFGenPackage.getGenAuditContext_Root()`, `GenAuditRoot.getClientContexts()`
  ** Generated **
  Model:
    opposite="clientContexts" resolveProxies="false" required="true" transient="false"

### setRoot

    void setRoot(GenAuditRoot value)

  Sets the value of the '`Root`' container reference.

  Parameters:
    `value` - the new value of the 'Root' container reference.
  See Also:
    `getRoot()`
  ** Generated **

### getId

    java.lang.String getId()

  Returns the value of the 'Id' attribute. The default value is `"DefaultCtx"`. Identifier of the validation client context for this target. Should be a valid java identifier. Identifier will be qualified automatically (i.e. should be unique within this editor only).

  Returns:
    the value of the 'Id' attribute.
  See Also:
    `setId(String)`, `GMFGenPackage.getGenAuditContext_Id()`
  ** Generated **
  Model:
    default="DefaultCtx" required="true"

### setId

    void setId(java.lang.String value)

  Sets the value of the '`Id`' attribute.

  Parameters:
    `value` - the new value of the 'Id' attribute.
  See Also:
    `getId()`
  ** Generated **

### getClassName

    java.lang.String getClassName()

  Returns the value of the 'Class Name' attribute.

  If the meaning of the 'Class Name' attribute isn't clear, there really should be more of a description here...

  Unless explicitly set, equals to 'id'. Note, this class may get generated as inner class.

  Returns:
    the value of the 'Class Name' attribute.
  See Also:
    `setClassName(String)`, `GMFGenPackage.getGenAuditContext_ClassName()`
  ** Generated **
  Model:
    required="true"

### setClassName

    void setClassName(java.lang.String value)

  Sets the value of the '`Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Class Name' attribute.
  See Also:
    `getClassName()`
  ** Generated **

### getRuleTargets

    org.eclipse.emf.common.util.EList<GenAuditable> getRuleTargets()

  Returns the value of the 'Rule Targets' reference list. The list contents are of type `GenAuditable`. It is bidirectional and its opposite is '`Context Selector`'.

  If the meaning of the 'Rule Targets' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Rule Targets' reference list.
  See Also:
    `GMFGenPackage.getGenAuditContext_RuleTargets()`, `GenAuditable.getContextSelector()`
  ** Generated **
  Model:
    opposite="contextSelector"

### getQualifiedClassName

    java.lang.String getQualifiedClassName()

  ** Generated **
  Model:
    kind="operation" required="true"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.